Bug 841392 - Installing Mcidas creates compiler problem with g77 and mnmx
Installing Mcidas creates compiler problem with g77 and mnmx
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc (Show other bugs)
5.10
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Jakub Jelinek
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 16:50 EDT by Jashelle O
Modified: 2013-11-13 09:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-13 09:31:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jashelle O 2012-07-18 16:50:38 EDT
Description of problem:
McIDAS assigns g77 (part of gcc install) to help in the build. At the last step of the build, there is a g77 compiler error which includes the mnmx.f file: internal compiler error: in gen_reg_rtx, at emit-rtl.c:819. "compile mnmx.for: FAILED"

Version-Release number of selected component (if applicable):
cernlib-g77.x86_64 : General purpose CERN library
cernlib-g77-devel.i686 : General purpose CERN library development package
gcc.x86_64 : Various compilers (C, C++, Objective-C, Java, ...)

All latest versions. 

How reproducible:
I'm not sure but error keeps appearing even when switching to gcc or gfortran

Steps to Reproduce:
1.Compile McIDAS (make ..)
2.Error occurs
3.
  
Actual results:
./mccomp -g -mysql -g77 -I. -I../netcdf/libsrc -I../hdf/hdf/src -I../hdf/mfhdf/libsrc -I../jpeg -I../libpng -I../zlib -I../tiff/libtiff -I../libgeotiff -I../jasper/src/libjasper/include -I../g2clib -I../bzip2 -c mnmx.for
mccomp: Using default optimizations
rm -f mnmx.o
g77 -c -O -Wuninitialized -fno-automatic -ff90-intrinsics-hide -fno-f2c -g -I. -I../netcdf/libsrc -I../hdf/hdf/src -I../hdf/mfhdf/libsrc -I../jpeg -I../libpng -I../zlib -I../tiff/libtiff -I../libgeotiff -I../jasper/src/libjasper/include -I../g2clib -I../bzip2 -I/usr/include/mysql mnmx.f
mnmx.f: In function `mnmx':
In file included from mnmx.f:0:
mnmx.f:108: internal compiler error: in gen_reg_rtx, at emit-rtl.c:819
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
compile mnmx.for:               FAILED


Expected results:
An actual Build

Additional info:
Comment 1 Jeff Law 2013-03-12 15:02:02 EDT
To investigate further, we will need your mnmx.f file.

Note You need to log in before you can comment on or make changes to this bug.